# Class CIM_BindsToLANEndpoint
extends CIM_BindsTo

This association makes explicit the dependency of a SAP or ProtocolEndpoint on an underlying LANEndpoint, on the same system.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_BindsTo
|
+--CIM_BindsToLANEndpoint

## Direct Known Subclasses

CIM_Switchable

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association makes explicit the dependency of a SAP or ProtocolEndpoint on an underlying LANEndpoint, on the same system.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
FrameType | uint16 |
Description | string | This describes the framing method for the upper layer SAP or Endpoint that is bound to the LANEndpoint. Note: "Raw802.3" is only known to be used with the IPX protocol.
ValueMap | string | 0, 1, 2, 3, 4
Values | string | Unknown, Ethernet, 802.2, SNAP, Raw802.3

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_BindsToLANEndpoint | CIM_LANEndpoint
Dependent | CIM_BindsToLANEndpoint | CIM_ServiceAccessPoint

## Class Methods